{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
      ./host-specific.nix
      ../../modules/home-manager.nix
      ../../modules/nur-and-unstable.nix
      ../../modules/base.nix
      ../../modules/headless.nix

      ../../modules/ssh-fde-unlock.nix
      #../../modules/git.nix
      ../../modules/zsh.nix
      #../../modules/ssh-client.nix
      ./ssh-client-root.nix
      ../../modules/ssh-server.nix

      ../../modules/sendmail-mta.nix
      ../../modules/journalwatch.nix

      ../../modules/btrbk
      ./btrbk-config.nix
      ../../modules/de-p1st-monitor.nix
      ../../modules/spin-down/hdparm.nix
      ../../modules/spin-down/hd-idle.nix

      ../../modules/btrfs-scrub.nix
      ../../modules/btrfs-mount-options.nix
    ];

  networking.hostName = "yodaHedgehog";
  boot.initrd.luks.devices."crypted".allowDiscards = true;
  yoda.btrfsFileSystems = ["/" "/mnt/backup"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;
  yoda.spin-down.hdparm = [
    # 6tb1
    "ata-WDC_WD60EFAX-68SHWN0_WD-WX31D29924PZ"
  ];
  yoda.spin-down.hd-idle = [
    # 6tb2; not supported by hdparm / does not support setting idle timer
    "ata-ST6000DM003-2CY186_ZR11WA9K"
  ];

  boot.kernelParams = [];
  boot.kernelPackages = pkgs.linuxPackages;
}
