{ config, pkgs, ... }:
{
  # NixOS general.
  # https://github.com/NixOS/nixpkgs/tree/nixos-23.05/pkgs/games/
  # https://nixos.wiki/wiki/Games
  # https://nixos.wiki/wiki/Minetest_Server
  # https://nixos.wiki/wiki/Factorio (Multip Player Server)

  # General.
  # https://wiki.archlinux.org/title/List_of_games

  # Game Launchers.
  # https://nixos.wiki/wiki/Steam
  # https://nixos.wiki/wiki/Lutris

  # Non-packaged games.
  # https://ya2.itch.io/yorg (Racing game)
  # https://unknown-horizons.org/ (A 2D realtime strategy simulation with an emphasis on economy and city building.)
  # https://github.com/mgerdes/Open-Golf

  users.users.yoda = {
    packages = with pkgs; [
      minetest # Infinite-world block sandbox game
      voxelands # Voxelands is a sandbox construction game based on Minetest

      gnome.gnome-chess # Play the classic two-player boardgame of chess
      gnuchess # GNU Chess engine. Can be used by gnome-chess.

      airshipper # Provides automatic updates for the voxel RPG Veloren. https://www.veloren.net/
      gnome.gnome-mines # Clear hidden mines from a minefield.
      gnome.gnome-nibbles # Guide a worm around a maze
      gnome.gnome-taquin # Move tiles so that they reach their places
      gnome.gnome-tetravex # Complete the puzzle by matching numbered tiles
      superTux # Classic 2D jump'n run sidescroller game
      superTuxKart # A Free 3D kart racing game
      neverball # Tilt the floor to roll a ball
      teeworlds # Retro multiplayer shooter game
      sauerbraten # A free multiplayer & singleplayer first person shooter, the successor of the Cube FPS
      stepmania # Free dance and rhythm game
      flightgear # Flight simulator
      xonotic # The Free and Fast Arena Shooter

      unvanquished # A fast paced, first person strategy game
      stuntrally # Stunt Rally game with Track Editor, based on VDrift and OGRE. https://stuntrally.tuxfamily.org/
      assaultcube # Fast and fun first-person-shooter based on the Cube fps
    ];
  };
}
